import { EInputComponentType, EInputType } from '@/UI-kit/types';
import { getInnValidator } from '@/modules/documents/constants';
import { IDocsSchemaType } from '@/modules/form/types';
import { uiKitI18n } from '@/configs';

export function useInnFieldsScheme(): IDocsSchemaType[] {
    return [
        {
            name: 'number',
            label: uiKitI18n?.global.t('moduleDocuments.forms.inn.inn.label'),
            type: EInputType.text,
            placeholder: '123456789012',
            validateOnChange: false,
            validator: getInnValidator(),
            mask: '############',
            isShowClear: true,
            components: EInputComponentType.mask,
        },
    ];
}
